export default {
	lang: "fr",
	title: "3W",
	titleTemplate: "Support de cours",
	description: "C’est cool je crois.",
	lastUpdated: true,

	themeConfig: {
		nav: [
			{
				text: "Dev",
				link: "/dev/",
				activeMatch: "/dev/",
				// items: [
				// 	{ text: "Sommaire", link: "/dev/" },
				// 	{ text: "introduction", link: "/dev/introduction/" },
				// 	{ text: "B2", link: "/dev/B2/" },
				// 	{ text: "B3", link: "/dev/B3/" }
				// ]
			},
			{ text: "Design", link: "/design/", activeMatch: "/design/" },
			{ text: "À propos", link: "/a-propos", activeMatch: "/a-propos" },
		],
		sidebar: {
			// This sidebar gets displayed when user is
			// under `dev` directory.
			"/dev/": [
				{
					text: "Général",
					items: [
						{ text: "Sommaire", link: "/dev/" }, // /dev/index.md
						{ text: "Documentations", link: "/dev/docs" },
						{ text: "Outils", link: "/dev/outils" },
						{ text: "Les pros", link: "/dev/goat" },
					],
				},
				{
					text: "Fragments",
					collapsed: true,
					items: [
						{
							text: "Base",
							items: [
								{
									text: "Structure du dossier",
									link: "/dev/fragments/base/01-structure",
								},
								{
									text: "Robots txt",
									link: "/dev/fragments/base/02-robots",
								},
							],
						},
						{
							text: "HTML",
							link: "/dev/fragments/html/",
							items: [
								{
									text: "Titres",
									link: "/dev/fragments/html/01-titres",
								},
								{
									text: "Paragraphe",
									link: "/dev/fragments/html/02-paragraphe",
								},
								{
									text: "Image",
									link: "/dev/fragments/html/04-image",
								},
							],
						},
						{
							text: "CSS",
							items: [
								{
									text: "Reset CSS",
									link: "/dev/fragments/css/00-reset",
								},
								{
									text: "Centrer",
									link: "/dev/fragments/css/01-centrer",
								},
							],
						},
					],
				},
				{
					text: "Débutant",
					collapsed: true,
					items: [
						{ text: "Introduction débutant", link: "/dev/01-debutant/" },
						{ text: "HTML débutant", link: "/dev/01-debutant/html" },
						{ text: "CSS débutant", link: "/dev/01-debutant/css" },
					],
				},
				{
					text: "Intermédiaire",
					collapsed: true,
					items: [
						{
							text: "Introduction intermédiaire",
							link: "/dev/02-intermediaire/",
						},
						// { text: "HTML intermédiaire", link: "/dev/02-intermediaire/html" },
						{ text: "JavaScript", link: "/dev/02-intermediaire/javascript" },
						{ text: "Git", link: "/dev/02-intermediaire/git" },
					],
				},
				{
					text: "Avancé",
					collapsed: true,
					items: [
						{ text: "Introduction avancé", link: "/dev/03-avance/" },
						// { text: "HTML avancé", link: "/dev/03-avance/html" },
					],
				},
				{
					text: "Code Camp",
					collapsed: true,
					items: [
						{ text: "Théorie", link: "/dev/code-camp/" },
						{ text: "Sujets", link: "/dev/code-camp/sujets" },
					],
				},
			],
			"/design/": [
				{
					text: "Design",
					items: [
						{ text: "Introduction", link: "/design/" },
						{ text: "Emails", link: "/design/emails/" },
					],
				},
			],
		},

		outlineTitle: "Sur cette page",
		lastUpdatedText: "Mis à jour le",

		footer: {
			message: "Ces contenus sont publiés sous licence Creative Commons",
			copyright: "CC BY-SA 4.0",
		},

		docFooter: {
			prev: "Précédent",
			next: "Suivant",
		},
	},

	editLink: {
		pattern: "https://gitlab.com/3_w/docs/-/edit/main/docs/:path",
		text: "Proposer des changements sur Gitlab",
	},

	markdown: {
		theme: "one-dark-pro",
		externalLinks: {
			target: "_self",
		},
	},
};
